## NAME

r.le.dist - The r.le.dist program can be used to measure distances between patches and report those distances using several methods.
(GRASS Raster Program)

## GRASS VERSION

4.x

## SYNOPSIS

r.le.dist
r.le.dist help
r.le.dist [-bntu] map=name [sam=name] [reg=name] [ski=value] [can=value] [di1=name[,name,...]] [di2=name[,name,...]] [out=name]

## OPTIONS

### Flags:

-b
  Run in background
-n
  Output map 'num' with patch numbers.
-t
  Use 4 neighbor tracing instead of 8 neighbor.
-u
  Output maps 'units_x' with sampling units for each scale x.

### Parameters:

map
  Raster map to be analyzed.
sam
  Sampling method (choose only 1 method): w=whole map, u=units, m=moving window, r=regions
  Options: w, u, m, r
  Default: w
reg
  Name of regions map, only when sam = r; omit otherwise.
ski
  Skip m boundary cells to speed up nearest neighbor search.
  Options: 0-10
  Default: 0
can
  Use only 'can' candidate patches for faster nearest neighbor search.
  Options: 1-30
  Default: 30
di1
  Distance methods (Choose only 1 method):
  Options: m0, m1, m2, m3, m4, m5, m6, m7, m8, m9
  (CC=Center-Center, EE=Edge-Edge, CE=Center-Edge):
  m0 = each patch to all adjacent neighbors CC
  m1 = each patch to all adjacent neighbors CE
  m2 = each patch to nearest patch of same gp CC
  m3 = each patch to nearest patch of same gp CE
  m4 = each patch to nearest patch of same gp EE
  m5 = each patch to nearest patch of any diff. gp CC
  m6 = each patch to nearest patch of any diff. gp CE
  m7 = patches of 1 gp to nearest of specific gp CC
  m8 = patches of 1 gp to nearest of specific gp CE
  m9 = patches of 1 gp to nearest of specific gp EE
di2
  Distance measures:
  Options: n1, n2, n3, n4, n5, n6
  n1 = mean dist.
  n2 = st. dev. dist.
  n3 = mean dist. by gp
  n4 = st. dev. dist. by gp
  n5 = no. of dist. by dist. class
  n6 = no. of dist. by dist. class by gp
out
  Name of output file for individual patch measures, when sam=w, u, r; if out=head, then column headings will be printed

## SEE ALSO

The r.le Programs Users Guide
r.le.null, r.le.patch, r.le.pixel, r.le.rename, r.le.setup, r.le.trace

## AUTHOR

William L. Baker, Department of Geography and Recreation, University of Wyoming

Last changed: $Date: 2002/01/25 05:45:34 $